import objectdraw.*;
import java.awt.*;

/*
 * Example Snowman: a VisibleImage example
 *
 * Jim Teresco, Siena College, CSIS 120, Spring 2011
 * The College of Saint Rose, Fall 2013
 *
 * $Id: Snowman.java 2231 2013-10-27 18:40:06Z terescoj $
 */

public class Snowman extends WindowController {

    // an objectdraw object that can store a picture
    private VisibleImage snowMan;

    // for dragging
    private Location lastPoint;

    public void begin() {
        // load our image
        Image snowManPic = getImage("snowman.gif");

        // create an objectdraw object using that image
        snowMan = new VisibleImage(snowManPic, 10, 10, canvas);

        snowMan.setWidth(124);
        snowMan.setHeight(144);
    }

    public void onMousePress(Location point) {
        lastPoint = point;
    }

    public void onMouseDrag(Location point) {
        
        if ( snowMan.contains( lastPoint ) ) {
            snowMan.move(point.getX()-lastPoint.getX(),
                point.getY()-lastPoint.getY());
            lastPoint = point;
        }
    }
}
